//
// Asura_Platform_Env_System.cpp
//
// Created by KOR - 09 October 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

// This file's header.
#include "Mesh/Asura_Env_System.h"

// Asura headers
#include "Rendering/Asura_GX_Environment.h"

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

void Asura_Environment_System::Platform_Initialise( void )
{
	// We don't init environment store here as we have to know number of modules first
}

void Asura_Environment_System::Platform_Reset( void )
{
	Asura_GX_Environment::Reset();
}

void Asura_Environment_System::Platform_Shutdown( void )
{
	Asura_GX_Environment::Shutdown();
}

void Asura_Environment_System::Platform_Update( void )
{
	Asura_GX_Environment::Update();
}


